<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.OrderWashDayMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.OrderWashDay">
        <result column="activity_id" property="activityId" />
        <result column="wash_day_id" property="washDayId" />
        <result column="user_id" property="userId" />
        <result column="order_id" property="orderId" />
        <result column="discount" property="discount" />
        <result column="discount_amount" property="discountAmount" />
        <result column="status" property="status" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        activity_id, wash_day_id, user_id, order_id, discount, discount_amount, status
    </sql>

</mapper>
